org.wildfly.swarm.config

## Enum JPA.DefaultExtendedPersistenceInheritance

- java.lang.Object
- - java.lang.Enum<JPA.DefaultExtendedPersistenceInheritance>
  - - org.wildfly.swarm.config.JPA.DefaultExtendedPersistenceInheritance

- All Implemented Interfaces:
    Serializable, Comparable<JPA.DefaultExtendedPersistenceInheritance>
  Enclosing class:
    JPA<T extends JPA<T>>

      public static enum JPA.DefaultExtendedPersistenceInheritance
      extends Enum<JPA.DefaultExtendedPersistenceInheritance>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEEP`
    `SHALLOW`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static JPA.DefaultExtendedPersistenceInheritance` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JPA.DefaultExtendedPersistenceInheritance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEEP

          public static final JPA.DefaultExtendedPersistenceInheritance DEEP

    - #### SHALLOW

          public static final JPA.DefaultExtendedPersistenceInheritance SHALLOW

  - ### Method Detail

    - #### values

          public static JPA.DefaultExtendedPersistenceInheritance[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JPA.DefaultExtendedPersistenceInheritance c : JPA.DefaultExtendedPersistenceInheritance.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JPA.DefaultExtendedPersistenceInheritance valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<JPA.DefaultExtendedPersistenceInheritance>`

Copyright © 2018 JBoss by Red Hat. All rights reserved.